package com.perforce.spark.navigation;

import java.util.ArrayList;
import java.util.List;

public class NavBarMenu implements NavBarInterface {

	private final String title;
	private final String page;
	private final boolean drop;
	
	private boolean active;
	private List<ListItem> list = new ArrayList<>();

	public NavBarMenu(String title, String page, boolean drop) {
		this.title = title;
		this.page = page;
		this.drop = drop;
		this.active = false;
	}

	@Override
	public String getTitle() {
		return title;
	}

	@Override
	public String getPage() {
		return page;
	}

	@Override
	public boolean isDropDown() {
		return drop;
	}

	@Override
	public boolean isActive() {
		return active;
	}

	@Override
	public void setActive(boolean active) {
		this.active = active;
	}
	
	public void add(ListItem item) {
		list.add(item);
	}
	
	public List<ListItem> getList() {
		return list;
	}
}
